tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gal Shachor <shac...@il.ibm.com>
Subject Re: TOMCAT + APACHE + ORACLE 8.1.5
Date Fri, 17 Mar 2000 09:06:08 GMT

  Jean, assuming that JDevelopper 3.0 generates valid JSP, It seems that
your
problem is that the required java jar files are missing from the
classpath.

You can either add these jars by modifying tomcat.bat or by copying the
jar 
files into the lib directory of your web application.

I think that the best way for you to go is to modify tomcat.bat,
because:
1. these jars are part of JDevelopper and they are not going to change
any time soon.
2. (probably) several of your applications will require them.

Good luck,
	Gal Shachor

Jean-Noël WALLEZ wrote:
> 
> I set up TOMCAT 3.1 b, Apache/1.3.11 on NT4.0 SP4 with Oracle 8.1.5.
> Apache server is running nicely.
> TOMCAT seems to be ok. All examples JSP from TOMCAT run right.
> 
> Then I want to deploy a jsp application design with JDevelopper 3.0 and
> Oracle 8.1.5.
> My JSP application use DataWebBeans.
> 
> Here is the error message I got
> "JSP Error
> ----------------------------------------------------------------------------
> ----
> Request URI: /stock/vTypePiece_Browse.jsp
> Exception:
> java.lang.NoClassDefFoundError: oracle/jbo/html/jsp/JSPApplicationRegistry
> ----------------------------------------------------------------------------
> ----"
> 
> I think I have to use ojsp.jar in TOMCAT but I don't know where I have to
> make all configuration changes to be able to run JSP Application with
> TOMCAT.
> 
> Is-it possible?
> Can anybody help me?
> Can you send me configuration files examples?
> 
> Great THANKS.
> 
> Jean-Noël WALLEZ.
> 
> --------------------------------------------------------------------------
> To unsubscribe, email: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commmands, email: tomcat-user-help@jakarta.apache.org

Mime
View raw message